/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 27/AUG/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED
 .,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,. 


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Fri Sep  7 19:20:26 EDT 2007, v0.01 sdy

  This is Cache.h, part of Cache.

  See Cache.cpp for implementation details.

*/

#ifndef CACHE_H
#define CACHE_H

//  C++

#include <map>
#include <string>

class Cache
{

  public:

   Cache();
  ~Cache();

  void clear();
  void erase(std::string const & key);
  bool exists(std::string const & key);
  std::string get(std::string const & key);
  void set(std::string const & key, std::string const & value);

  private:

  typedef std::map<std::string, std::string> strstrMap;

  strstrMap cache;

};

#endif

