/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 27/AUG/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED
 .,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,. 


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Mon Aug 27 22:42:01 EDT 2007, v0.01 sdy

  This is cs3web.h, part of cs3web.

  See cs3web.cpp for implementation details.

*/

#ifndef CS3WEB_H
#define CS3WEB_H

//  C++
#include <string>

//  LOCAL

#include "HtmlPage.h"

class Cs3web {

  public:

   Cs3web();
  ~Cs3web();

  void exec(int, char *[]);

  void parseCommandLine(int argc, char *argv[]);

  std::string reduceString(std::string const & s);

  std::string dbPath;
  std::string dbName;
  std::string dbExtension;
  std::string rootPath;
  std::string keySrc;
  std::string keyDst;
  std::string columnName;
  std::string scriptName;

  bool optL;
  bool optN;

  private:

  HtmlPage htmlPage;

};


#endif

