/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 27/AUG/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED
 .,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,. 


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Mon Aug 27 22:42:01 EDT 2007, v0.01 sdy

  This is HtmlPage.h, part of HtmlPage.

  See HtmlPage.cpp for implementation details.

*/

#ifndef HtmlPage_H
#define HtmlPage_H

//  C++

#include <string>
#include <vector>
#include <fstream>
#include <sstream>
#include <iostream>

//  LOCAL

#include "Cgi.h"
#include "DatabaseDoc.h"

class HtmlPage
{

  public:

   HtmlPage();
  ~HtmlPage();

  void addEnv();
  void execUrl();
  void addHeader();
  void addUriPage();
  void initDb(std::string const &);
  std::vector< std::string > & list();
  void rename(std::string & src, std::string & dst);
  void shellEdit(std::string const & key, std::string const & col = "value");

  std::string scriptName;

  private:

  DatabaseDoc page;
  std::string mimeType;

};

#endif
