/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 27/AUG/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED
 .,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,. 


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Fri Sep  7 19:20:26 EDT 2007, v0.01

  This is TextDoc.h, part of TextDoc.

  See TextDoc.cpp for implementation details.

*/

#ifndef TEXTDOC_H
#define TEXTDOC_H

//  C++

#include <iostream> 
#include <iomanip> 
#include <sstream>
#include <ostream> 
#include <string>

class TextDoc
{

  public:

   TextDoc();
  ~TextDoc();

  typedef std::ostream& (*manip_t)(std::ostream&);

  TextDoc & operator<<(std::string s);
  TextDoc & operator<<(double d);
  TextDoc & operator<<(manip_t f);

  friend std::ostream & operator<<(std::ostream &os, const TextDoc &);

  void clear();

  std::stringstream text;

  private:
  
};

#endif
