/*
    _________ __________  _____ ___      ________    __________    ________
   /   _____/ \______   \ \__  |   |     \_      \   \______   \  /  _____/
   \_____  \   |     ___/  /   |   |      /   |   \   |       _/ /   \  ___
   /        \  |    |      \____   |     /    |    \  |    |   \ \    \_\  \
  /_______  /  |____|      / ______|  /\ \_______  /  |____|_  /  \______  /
 ==========\/==============\/=========\/=========\/==========\/==========\/==
 V0.01 05/JUN/2007 (C) Copyright 2007-2007 Scott D. Yelich ALL RIGHTS RESERVED

 Tue Jun  5 23:30:53 EDT 2007

 LICENSE:  PUBLIC DOMAIN, see LICENSE.txt

*/

/*
    This file is part of  CGI
*/

#ifndef SIMPLE_CGI_H
#define SIMPLE_CGI_H

#include <map>
#include <string>
#include <iostream>
#include <sstream>

class Cgi
{

  public:

     Cgi();
    ~Cgi();

    void pmap();
    void parse();
    void process();
    void getGetData();
    void getPostData();
    std::string urldecode(std::string);
    std::string getVal(std::string const &);

    typedef std::map<std::string, std::string> strstrMap;

  private:

    std::string buffer;
    strstrMap data;    

    char hex2char(std::string &);
    void mapkvp(std::string const &);

};

#endif
