/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 27/AUG/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED
 .,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,. 


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Fri Sep  7 19:20:26 EDT 2007, v0.01 sdy

*/

//  PACKAGE

#include "TextDoc.h"


TextDoc::TextDoc()
//  TextDoc.str("")
{
}

TextDoc::~TextDoc()
{
}

void
TextDoc::clear()
{
  text.clear();
}

TextDoc &
TextDoc::operator<<(std::string s)
{
  text << s;
  return *this;
}

TextDoc &
TextDoc::operator<<(double d)
{
//  text <<  fixed << setprecision(0); // too lame to accept base_ios
  text <<  d;
  return *this;
}

TextDoc &
TextDoc::operator<<(manip_t f)
{
  manip_t const flushp = std::flush;
  manip_t const endl = std::endl;
  if (f == endl) {
    //    std::cout << text.str() << std::endl; // flushes
    text << "\n";
//    clear();
  } else if (f == flushp) {
    //    std::cout << text.str() << std::flush;
    clear();
  }
  return *this;
}

std::ostream&
operator<<(std::ostream &os,const TextDoc &obj)
{
  os << obj.text.str();
  return os;
}

